{ config, pkgs, ... }:

let
  svc_domain = "cyberchef.${config.mine.shared.settings.domain}";
  pkg_cyberchef = pkgs.cyberchef;
in {
  services.nginx.virtualHosts."${svc_domain}" = {
    forceSSL = true;
    enableACME = true;
    locations."/".root = pkg_cyberchef + "/share/cyberchef";
  };


  mine.shared.meta.cyberchef = {
    name = "CyberChef";
    description = "We host our own CyberChef instance.";
    url = "https://${svc_domain}";

    package = let
      pkg = pkg_cyberchef;
    in {
      name = pkg.pname;
      version = pkg.version;
      meta = pkg.meta;
    };
  };
}
